<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
+---------------------------------------------|
|                edited by:                   |
+---------------------------------------------|
| Autor: Fabio Niephaus                       |
| eMail: kontakt@der-fabio.de                 |
| Web: http://fusion.der-fabio.de             |
+---------------------------------------------+
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/* Modified by Fabio Niephaus (kontakt@der-fabio.de) (Vorversion von Artur Wiebe) */
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."articles.php";

/* Fehlermeldung bei keinem Artikel */

$fn_fehler = $locale['403'];

/* Zeige alle Kategorien */
if (!isset($cat_id)) {
	opentable($locale['400']);
	$result = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE ".groupaccess('article_cat_access')." ORDER BY article_cat_name");
	$rows = dbrows($result);
	$num1 = dbcount("(article_cat)", "articles");
	if ($rows != 0) {
		echo "<div align='right' class='very-small'>Aktualnie posiadamy $num1 artykuw
		</div><br>
		<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
		while($data = dbarray($result)) {
		    echo "<tr>\n";
		    $num = dbcount("(article_cat)", "articles", "article_cat='".$data['article_cat_id']."'");
		    echo "<td align='left' valign='top' width='20%' class='tbl1'><a href='".FUSION_SELF."?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a>";

		    // num articles
			if($num === "0")
				{
				echo "<br>";
				echo "</td>\n<td valign='top' width='80%' class='tbl1'>";
				//Hier kommt der Fehlermeldungstext
				echo "<span class='verysmall'>$fn_fehler</span>";
				echo "<br>\n";
				echo "</td>\n";
				} else {
				echo "<br><span class='small2'>Razem: $num</span>";
				if($data['article_cat_description'] != "") echo "<br>\n<span class='small'>".$data['article_cat_description']."</span>";

		    // In der Kategorie
		    echo "</td>\n<td valign='top' width='80%' class='tbl1'>";
		    $cat_id = $data['article_cat_id'];
		    $result2 = dbquery("SELECT * FROM " . $db_prefix
			. "articles WHERE article_cat='$cat_id' "
			. "ORDER BY ".$data['article_cat_sorting']."");
		    while($data2 = dbarray($result2)) {
//			echo "<li>" . $data2['article_subject'] . "</li>\n";
			echo "<img src='".THEME."images/bullet.gif' alt=''> <a href='readarticle.php?article_id=".$data2['article_id']."'>".showdate("shortdate", $data2['article_datestamp'])." | ".$data2['article_subject']."</a>";
			echo "<br>\n";
		    }
		    echo "</td>\n";
		}
		}
		    
		echo "</table>\n
		<br><center><b>Wszystkich artykuw: $num1</b></center>";
	} else {
		echo "<center><br>\n".$locale['401']."<br><br>\n</center>\n";
	}
	closetable();


/* zeige eine spezielle Kategorie  */
} else {
	$res = 0;
	if (!isNum($cat_id)) fallback(FUSION_SELF);
	$cat_id = $_GET['cat_id'];
	$result = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE article_cat_id='$cat_id'");
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['article_cat_access'])) {
			$res = 1;
			opentable($locale['400'].": ".$cdata['article_cat_name']);
			$rows = dbcount("(article_id)", "articles", "article_cat='$cat_id'");
			if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
			if($rows != 0) {
			    $query = "SELECT ta.*, user_id, user_name"
				. " FROM ".$db_prefix."articles ta"
				. " LEFT JOIN ".$db_prefix."users tu"
				. " ON ta.article_name=tu.user_id"
				. " WHERE article_cat='$cat_id'"
				. " ORDER BY ".$cdata['article_cat_sorting']."";
//			    echo "<p>$query";
			    $result = dbquery($query);
			    $numrows = dbrows($result); $i = 1;
			    while ($data = dbarray($result)) {
				if($data['article_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
				    $new = "&nbsp;<span class='small'>[".$locale['402']."]</span>";
				} else {
				    $new = "";
				}
				echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border' style='border: 1px solid gray;' border='0'>\n";
				echo "<tr>\n";
				echo "    <td class='tbl1'><a href='readarticle.php?article_id=".$data['article_id']."'><b>".$data['article_subject']."</b></a>$new</td>\n";
				echo "<tr>\n";
				echo "    <td class='tbl1'>"
				    . stripslashes($data['article_snippet'])
				    . "</td>\n";
				//
				echo "<tr>\n";
				echo "    <td class='tbl1' align='right'>";
                                echo "<span class='small2'><img src='".THEME."images/bullet.gif' alt=''> <a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> ".$locale['041'].showdate("longdate", $data['article_datestamp']) . "\n";
				/*
				echo $locale['041']
				    . showdate("longdate", $data['article_datestamp'])
				    */
				echo "</td>\n";
				echo "</table>\n";
				// separator
				if($i != $rows)
				    echo "<div><img src='".THEME."images/blank.gif' alt='' width='1' height='5'></div>\n";
//				echo ($i != $numrows ? "<br><br>\n" : "\n");
				$i++;
			    }
			    closetable();
			    if ($rows > 15) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,15,$rows,3,FUSION_SELF."?cat_id=$cat_id&amp;")."\n</div>\n";
			} else {
				echo "<center>".$locale['403']."</center>\n";
				closetable();
			}
		}
	}
	if ($res == 0) redirect(FUSION_SELF);
}

echo "<p align='center'><a href='javascript:history.back()'><strong>Powrt</strong></a></p>";

require_once "side_right.php";
require_once "footer.php";
?>
